# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'elevation/ui_elevation_widget.ui'
#
# Created: Fri Mar 11 11:06:34 2016
#      by: PyQt4 UI code generator 4.9.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_elevMeshQt(object):
    def setupUi(self, elevMeshQt):
        elevMeshQt.setObjectName(_fromUtf8("elevMeshQt"))
        elevMeshQt.resize(1058, 640)
        elevMeshQt.setMinimumSize(QtCore.QSize(1058, 640))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/plugins/BASEmesh/icons/elev_meshing.svg")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        elevMeshQt.setWindowIcon(icon)
        self.verticalLayout_3 = QtGui.QVBoxLayout(elevMeshQt)
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.verticalLayout_2 = QtGui.QVBoxLayout()
        self.verticalLayout_2.setObjectName(_fromUtf8("verticalLayout_2"))
        self.groupInput = QtGui.QGroupBox(elevMeshQt)
        self.groupInput.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupInput.sizePolicy().hasHeightForWidth())
        self.groupInput.setSizePolicy(sizePolicy)
        self.groupInput.setMinimumSize(QtCore.QSize(500, 339))
        self.groupInput.setMaximumSize(QtCore.QSize(800, 16777215))
        self.groupInput.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.groupInput.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.groupInput.setFlat(False)
        self.groupInput.setObjectName(_fromUtf8("groupInput"))
        self.gridLayout_7 = QtGui.QGridLayout(self.groupInput)
        self.gridLayout_7.setVerticalSpacing(6)
        self.gridLayout_7.setObjectName(_fromUtf8("gridLayout_7"))
        self.groupOptional_2 = QtGui.QGroupBox(self.groupInput)
        self.groupOptional_2.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupOptional_2.sizePolicy().hasHeightForWidth())
        self.groupOptional_2.setSizePolicy(sizePolicy)
        self.groupOptional_2.setMinimumSize(QtCore.QSize(460, 70))
        self.groupOptional_2.setObjectName(_fromUtf8("groupOptional_2"))
        self.gridLayout_8 = QtGui.QGridLayout(self.groupOptional_2)
        self.gridLayout_8.setObjectName(_fromUtf8("gridLayout_8"))
        self.breaklinesCheckBox = QtGui.QCheckBox(self.groupOptional_2)
        self.breaklinesCheckBox.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesCheckBox.sizePolicy().hasHeightForWidth())
        self.breaklinesCheckBox.setSizePolicy(sizePolicy)
        self.breaklinesCheckBox.setMinimumSize(QtCore.QSize(110, 0))
        self.breaklinesCheckBox.setObjectName(_fromUtf8("breaklinesCheckBox"))
        self.gridLayout_8.addWidget(self.breaklinesCheckBox, 0, 0, 1, 1)
        self.breaklinesComboBox = QtGui.QComboBox(self.groupOptional_2)
        self.breaklinesComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesComboBox.sizePolicy().hasHeightForWidth())
        self.breaklinesComboBox.setSizePolicy(sizePolicy)
        self.breaklinesComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.breaklinesComboBox.setEditable(False)
        self.breaklinesComboBox.setObjectName(_fromUtf8("breaklinesComboBox"))
        self.gridLayout_8.addWidget(self.breaklinesComboBox, 0, 1, 1, 1)
        self.gridLayout_7.addWidget(self.groupOptional_2, 2, 0, 1, 1)
        self.groupTriangle_2 = QtGui.QGroupBox(self.groupInput)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupTriangle_2.sizePolicy().hasHeightForWidth())
        self.groupTriangle_2.setSizePolicy(sizePolicy)
        self.groupTriangle_2.setMinimumSize(QtCore.QSize(480, 70))
        self.groupTriangle_2.setObjectName(_fromUtf8("groupTriangle_2"))
        self.formLayout = QtGui.QFormLayout(self.groupTriangle_2)
        self.formLayout.setObjectName(_fromUtf8("formLayout"))
        self.triangleVerboseCheckBox = QtGui.QCheckBox(self.groupTriangle_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.triangleVerboseCheckBox.sizePolicy().hasHeightForWidth())
        self.triangleVerboseCheckBox.setSizePolicy(sizePolicy)
        self.triangleVerboseCheckBox.setObjectName(_fromUtf8("triangleVerboseCheckBox"))
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.triangleVerboseCheckBox)
        self.horizontalLayout_19 = QtGui.QHBoxLayout()
        self.horizontalLayout_19.setObjectName(_fromUtf8("horizontalLayout_19"))
        self.snappingToleranceCheckBox = QtGui.QCheckBox(self.groupTriangle_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.snappingToleranceCheckBox.sizePolicy().hasHeightForWidth())
        self.snappingToleranceCheckBox.setSizePolicy(sizePolicy)
        self.snappingToleranceCheckBox.setChecked(False)
        self.snappingToleranceCheckBox.setObjectName(_fromUtf8("snappingToleranceCheckBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceCheckBox)
        self.snappingToleranceSpinBox = QtGui.QSpinBox(self.groupTriangle_2)
        self.snappingToleranceSpinBox.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.snappingToleranceSpinBox.sizePolicy().hasHeightForWidth())
        self.snappingToleranceSpinBox.setSizePolicy(sizePolicy)
        self.snappingToleranceSpinBox.setMinimumSize(QtCore.QSize(50, 0))
        self.snappingToleranceSpinBox.setAlignment(QtCore.Qt.AlignCenter)
        self.snappingToleranceSpinBox.setReadOnly(True)
        self.snappingToleranceSpinBox.setAccelerated(True)
        self.snappingToleranceSpinBox.setMinimum(-18)
        self.snappingToleranceSpinBox.setMaximum(-1)
        self.snappingToleranceSpinBox.setProperty("value", -6)
        self.snappingToleranceSpinBox.setObjectName(_fromUtf8("snappingToleranceSpinBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceSpinBox)
        self.formLayout.setLayout(2, QtGui.QFormLayout.SpanningRole, self.horizontalLayout_19)
        self.gridLayout_7.addWidget(self.groupTriangle_2, 4, 0, 1, 1)
        self.groupCompulsory_2 = QtGui.QGroupBox(self.groupInput)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupCompulsory_2.sizePolicy().hasHeightForWidth())
        self.groupCompulsory_2.setSizePolicy(sizePolicy)
        self.groupCompulsory_2.setMinimumSize(QtCore.QSize(460, 50))
        self.groupCompulsory_2.setObjectName(_fromUtf8("groupCompulsory_2"))
        self.verticalLayout_4 = QtGui.QVBoxLayout(self.groupCompulsory_2)
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.horizontalLayout_6 = QtGui.QHBoxLayout()
        self.horizontalLayout_6.setObjectName(_fromUtf8("horizontalLayout_6"))
        self.labelBoundary = QtGui.QLabel(self.groupCompulsory_2)
        self.labelBoundary.setMinimumSize(QtCore.QSize(110, 0))
        self.labelBoundary.setObjectName(_fromUtf8("labelBoundary"))
        self.horizontalLayout_6.addWidget(self.labelBoundary)
        self.boundaryComboBox = QtGui.QComboBox(self.groupCompulsory_2)
        self.boundaryComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.boundaryComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToMinimumContentsLength)
        self.boundaryComboBox.setMinimumContentsLength(200)
        self.boundaryComboBox.setObjectName(_fromUtf8("boundaryComboBox"))
        self.horizontalLayout_6.addWidget(self.boundaryComboBox)
        self.verticalLayout_4.addLayout(self.horizontalLayout_6)
        self.horizontalLayout_10 = QtGui.QHBoxLayout()
        self.horizontalLayout_10.setObjectName(_fromUtf8("horizontalLayout_10"))
        self.labelElevationPoints = QtGui.QLabel(self.groupCompulsory_2)
        self.labelElevationPoints.setMinimumSize(QtCore.QSize(110, 0))
        self.labelElevationPoints.setObjectName(_fromUtf8("labelElevationPoints"))
        self.horizontalLayout_10.addWidget(self.labelElevationPoints)
        self.elevationComboBox = QtGui.QComboBox(self.groupCompulsory_2)
        self.elevationComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.elevationComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToMinimumContentsLength)
        self.elevationComboBox.setMinimumContentsLength(200)
        self.elevationComboBox.setObjectName(_fromUtf8("elevationComboBox"))
        self.horizontalLayout_10.addWidget(self.elevationComboBox)
        self.verticalLayout_4.addLayout(self.horizontalLayout_10)
        self.horizontalLayout_11 = QtGui.QHBoxLayout()
        self.horizontalLayout_11.setObjectName(_fromUtf8("horizontalLayout_11"))
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem)
        self.labelDataField = QtGui.QLabel(self.groupCompulsory_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelDataField.sizePolicy().hasHeightForWidth())
        self.labelDataField.setSizePolicy(sizePolicy)
        self.labelDataField.setMinimumSize(QtCore.QSize(50, 0))
        self.labelDataField.setAlignment(QtCore.Qt.AlignCenter)
        self.labelDataField.setObjectName(_fromUtf8("labelDataField"))
        self.horizontalLayout_11.addWidget(self.labelDataField)
        self.elevFieldComboBox = QtGui.QComboBox(self.groupCompulsory_2)
        self.elevFieldComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.elevFieldComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToContents)
        self.elevFieldComboBox.setMinimumContentsLength(0)
        self.elevFieldComboBox.setObjectName(_fromUtf8("elevFieldComboBox"))
        self.horizontalLayout_11.addWidget(self.elevFieldComboBox)
        self.verticalLayout_4.addLayout(self.horizontalLayout_11)
        self.gridLayout_7.addWidget(self.groupCompulsory_2, 1, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.groupInput)
        spacerItem1 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)
        self.horizontalLayout.addLayout(self.verticalLayout_2)
        self.tabWidget = QtGui.QTabWidget(elevMeshQt)
        self.tabWidget.setMinimumSize(QtCore.QSize(530, 340))
        self.tabWidget.setObjectName(_fromUtf8("tabWidget"))
        self.tab_5 = QtGui.QWidget()
        self.tab_5.setObjectName(_fromUtf8("tab_5"))
        self.verticalLayout_6 = QtGui.QVBoxLayout(self.tab_5)
        self.verticalLayout_6.setObjectName(_fromUtf8("verticalLayout_6"))
        self.textStatusBox = QtGui.QTextEdit(self.tab_5)
        self.textStatusBox.setMinimumSize(QtCore.QSize(460, 0))
        self.textStatusBox.setObjectName(_fromUtf8("textStatusBox"))
        self.verticalLayout_6.addWidget(self.textStatusBox)
        self.tabWidget.addTab(self.tab_5, _fromUtf8(""))
        self.tab_6 = QtGui.QWidget()
        self.tab_6.setObjectName(_fromUtf8("tab_6"))
        self.verticalLayout_5 = QtGui.QVBoxLayout(self.tab_6)
        self.verticalLayout_5.setObjectName(_fromUtf8("verticalLayout_5"))
        self.textBrowser_2 = QtGui.QTextBrowser(self.tab_6)
        self.textBrowser_2.setObjectName(_fromUtf8("textBrowser_2"))
        self.verticalLayout_5.addWidget(self.textBrowser_2)
        self.tabWidget.addTab(self.tab_6, _fromUtf8(""))
        self.horizontalLayout.addWidget(self.tabWidget)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.groupOutput = QtGui.QGroupBox(elevMeshQt)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(2)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupOutput.sizePolicy().hasHeightForWidth())
        self.groupOutput.setSizePolicy(sizePolicy)
        self.groupOutput.setObjectName(_fromUtf8("groupOutput"))
        self.verticalLayout = QtGui.QVBoxLayout(self.groupOutput)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.horizontalLayout_7 = QtGui.QHBoxLayout()
        self.horizontalLayout_7.setObjectName(_fromUtf8("horizontalLayout_7"))
        self.outputShapeLineEdit = QtGui.QLineEdit(self.groupOutput)
        self.outputShapeLineEdit.setReadOnly(True)
        self.outputShapeLineEdit.setObjectName(_fromUtf8("outputShapeLineEdit"))
        self.horizontalLayout_7.addWidget(self.outputShapeLineEdit)
        self.browseButton = QtGui.QPushButton(self.groupOutput)
        self.browseButton.setObjectName(_fromUtf8("browseButton"))
        self.horizontalLayout_7.addWidget(self.browseButton)
        self.verticalLayout.addLayout(self.horizontalLayout_7)
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
        self.loadMeshPolygonCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.loadMeshPolygonCheckBox.setObjectName(_fromUtf8("loadMeshPolygonCheckBox"))
        self.horizontalLayout_2.addWidget(self.loadMeshPolygonCheckBox)
        self.loadMeshPointsCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.loadMeshPointsCheckBox.setObjectName(_fromUtf8("loadMeshPointsCheckBox"))
        self.horizontalLayout_2.addWidget(self.loadMeshPointsCheckBox)
        self.deltempCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.deltempCheckBox.setObjectName(_fromUtf8("deltempCheckBox"))
        self.horizontalLayout_2.addWidget(self.deltempCheckBox)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout_3 = QtGui.QHBoxLayout()
        self.horizontalLayout_3.setObjectName(_fromUtf8("horizontalLayout_3"))
        self.progressBar = QtGui.QProgressBar(self.groupOutput)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName(_fromUtf8("progressBar"))
        self.horizontalLayout_3.addWidget(self.progressBar)
        self.cancelButton = QtGui.QPushButton(self.groupOutput)
        self.cancelButton.setObjectName(_fromUtf8("cancelButton"))
        self.horizontalLayout_3.addWidget(self.cancelButton)
        self.generateButton = QtGui.QPushButton(self.groupOutput)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.generateButton.setFont(font)
        self.generateButton.setObjectName(_fromUtf8("generateButton"))
        self.horizontalLayout_3.addWidget(self.generateButton)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.verticalLayout_3.addWidget(self.groupOutput)

        self.retranslateUi(elevMeshQt)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QObject.connect(self.generateButton, QtCore.SIGNAL(_fromUtf8("clicked()")), elevMeshQt.accept)
        QtCore.QObject.connect(self.cancelButton, QtCore.SIGNAL(_fromUtf8("clicked()")), elevMeshQt.reject)
        QtCore.QObject.connect(self.breaklinesCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.breaklinesComboBox.setEnabled)
        QtCore.QMetaObject.connectSlotsByName(elevMeshQt)

    def retranslateUi(self, elevMeshQt):
        elevMeshQt.setWindowTitle(QtGui.QApplication.translate("elevMeshQt", "BASEmesh - Elevation meshing", None, QtGui.QApplication.UnicodeUTF8))
        self.groupInput.setTitle(QtGui.QApplication.translate("elevMeshQt", "INPUT", None, QtGui.QApplication.UnicodeUTF8))
        self.groupOptional_2.setTitle(QtGui.QApplication.translate("elevMeshQt", "Optional layers", None, QtGui.QApplication.UnicodeUTF8))
        self.breaklinesCheckBox.setText(QtGui.QApplication.translate("elevMeshQt", "Breaklines", None, QtGui.QApplication.UnicodeUTF8))
        self.groupTriangle_2.setTitle(QtGui.QApplication.translate("elevMeshQt", "TRIANGLE parameters", None, QtGui.QApplication.UnicodeUTF8))
        self.triangleVerboseCheckBox.setText(QtGui.QApplication.translate("elevMeshQt", "-V (verbose): detailed statistics during mesh generation", None, QtGui.QApplication.UnicodeUTF8))
        self.snappingToleranceCheckBox.setText(QtGui.QApplication.translate("elevMeshQt", "Relative snapping tolerance", None, QtGui.QApplication.UnicodeUTF8))
        self.groupCompulsory_2.setTitle(QtGui.QApplication.translate("elevMeshQt", "Compulsory layers", None, QtGui.QApplication.UnicodeUTF8))
        self.labelBoundary.setText(QtGui.QApplication.translate("elevMeshQt", "Model boundary", None, QtGui.QApplication.UnicodeUTF8))
        self.labelElevationPoints.setText(QtGui.QApplication.translate("elevMeshQt", "Elevation points", None, QtGui.QApplication.UnicodeUTF8))
        self.labelDataField.setText(QtGui.QApplication.translate("elevMeshQt", "Elevation field", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_5), QtGui.QApplication.translate("elevMeshQt", "Status messages", None, QtGui.QApplication.UnicodeUTF8))
        self.textBrowser_2.setHtml(QtGui.QApplication.translate("elevMeshQt", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'Ubuntu\'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">PURPOSE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">A model boundary with raw point elevation data and optional breaklines is triangulated without respect of mesh quality criteria using the mesh generator \'Triangle\'.</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The data points with elevation attributes given as input are connected by a triangulated mesh. The input data is therefore organized into a geometric structure and can be used as basis for future elevation interpolations.</span></p>\n"
"<p align=\"justify\" style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">ADVICE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">The mesh created using this tool should be seen as intermediate step and only be used as basis for the future interpolation of height values. Due to its low mesh quality, it is not suitable as computational grid for any numeric simulation!</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:9pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">USAGE:</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The shapefiles needed have to be loaded into the QGIS-project before executing this tool - It is not possible to select files directly on the hard drive by browsing. Futhermore, the files used for meshing must be activated in the QGIS table of contents on the left side of the screen. </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; text-decoration: underline;\">Only data that is displayed on the map can be used for meshing.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> To prevent the selection of wrong shapetypes, the available fields are populated with the corresponding data type.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">1.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#0000ff;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">At first, the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">input layers</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> have to be selected:</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Model boundary</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> (compulsory): polygon shapefile representing the area to be triangulated. This boundary layer doesn\'t have to be identical with the one used in the next step &quot;quality meshing&quot;.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Elevation points </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(compulsory): shapefile containing points with elevation attributes. When the respective shapefile is selected, the attibute field containing the elevation information can be selected in the \'</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Elevation field\'</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">-combobox underneath. </span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">Optionally, 2D-breaklines can be included in the triangulation process and will be preserved in the resulting mesh. After clicking on the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Breaklines </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">- checkbox, the corresponding layer can be selected.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">2.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">D</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">uring the following mesh generation process using \'Triangle\', relevant status messages are displayed on the right side of the tool window. If detailed statistics of the mesh generation process are required, triangle\'s </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">verbose</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> option can be switched on by clicking the corresponding check box.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">Different data sources (shape-files, ascii-files, Triangle output, manually added features) might have different floating point precisions. The </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Relative snapping tolerance</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> defines how far two point coordinates may be located apart to still be considered at the same location. The default value is 10E-6. Increasing this tolerance can help to avoid problems due to improper snapping of vertices (line or polygon features) and points in OGIS.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">3.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">BASEmesh automatically inserts the name of the current project as prefix for the output files. After selecting the output location, \'Triangle\' is started by clicking on \'</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\">Generate elevation mesh</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">\'.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">triangulation results</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> are saved in two separate shapefiles and by default loaded into map canvas: </span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">- </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; font-style:italic;\">PROJECTNAME</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">_Elevation_elements.shp</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> contains the resulting mesh elements as polygons. The element ID number and the IDs of the three adjacent nodes are saved in the file\'s attribute table.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">- </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; font-style:italic;\">PROJECTNAME</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">_Elevation_nodes.shp</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> contains the mesh nodes and their coordinates as attributes.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">During meshing, \'Triangle\' creates temporary files in a local folder on the harddrive. By default, those files are deleted after mesh generation. To keep them, uncheck the corresponding box at the bottom of the screen.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p align=\"justify\" style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_6), QtGui.QApplication.translate("elevMeshQt", "Help", None, QtGui.QApplication.UnicodeUTF8))
        self.groupOutput.setTitle(QtGui.QApplication.translate("elevMeshQt", "Shapefile OUTPUT", None, QtGui.QApplication.UnicodeUTF8))
        self.browseButton.setText(QtGui.QApplication.translate("elevMeshQt", "Browse", None, QtGui.QApplication.UnicodeUTF8))
        self.loadMeshPolygonCheckBox.setText(QtGui.QApplication.translate("elevMeshQt", "Load mesh polygon result file", None, QtGui.QApplication.UnicodeUTF8))
